commit:     0f2814561f6750e9d9c1d93d9538934b60bdc0cb
Author:     Denis Dupeyron <calchan <AT> gentoo <DOT> org>
AuthorDate: Sun Nov  3 20:40:42 2019 +0000
Commit:     Denis Dupeyron <calchan <AT> gentoo <DOT> org>
CommitDate: Sun Nov  3 20:41:14 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f281456

dev-libs/libstroke: update to EAPI 7

Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: Denis Dupeyron <calchan <AT> gentoo.org>

 dev-libs/libstroke/libstroke-0.5.1-r1.ebuild | 32 ++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild 
b/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
new file mode 100644
index 00000000000..983798ae225
--- /dev/null
+++ b/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils autotools
+
+DESCRIPTION="A Stroke and Gesture recognition Library"
+HOMEPAGE="http://www.etla.net/libstroke/";
+SRC_URI="http://www.etla.net/libstroke/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+RDEPEND="x11-libs/libX11"
+DEPEND="x11-base/xorg-proto
+       ${RDEPEND}"
+
+src_prepare() {
+       eapply "${FILESDIR}"/${P}-m4_syntax.patch
+       eapply "${FILESDIR}"/${P}-no_gtk1.patch
+       eapply "${FILESDIR}"/${P}-autotools.patch
+       eapply_user
+       eautoreconf
+}
+
+src_install () {
+       emake DESTDIR="${D}" install || die
+       dodoc CREDITS ChangeLog README
+}

Reply via email to